#include<bits/stdc++.h>
using namespace std;
int read()
{
	int x = 0,f = 0;char ch = getchar();
	while(!isdigit(ch)) f |= (ch == '-'),ch = getchar();
	while(isdigit(ch)) x = x * 10 + ch - '0',ch = getchar();
	return f?(-x):x;
}
int a,b,c;
int dp[2][1000005];
#define Mod 998244353
int rd(int l,int r)
{
	return rand()%(r-l+1) + l;
}
void solve()
{
	printf("%d\n",rd(1,Mod));
	return ;
}
int main()
{
	freopen("dfs.in","r",stdin);
	freopen("dfs.out","w",stdout);
	int T = read();
	while(T--) solve();
	return 0;
 } 
